EDIT - bug #6924

Taxon name incorrect after swap synonym with accepted taxon
08/29/2017 05:15 PM - Patrick Plitzner

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.11

Severity: normal Found in Version:

Description

After | swapped the synonym with the accepted taxon it seems like only the name has changed but not the taxon.
Before the taxon was Abiess and the synonym was Abiecs
(see attached screenshot)

Please change Category if this is actually a cdmlib issue.

Related issues:
Copied to EDIT - bug #7067: Improve swap accepted with synonym configurable New

Associated revisions

Revision 180b1d40 - 11/02/2017 03:36 PM - Patrick Plitzner

ref #6924 Invoke operation onComplete() method in runnable

History

#1 - 11/02/2017 12:30 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 4.11

is this still an open issue?

#2 - 11/02/2017 12:33 PM - Katja Luther
- Status changed from New to Worksforme

- Target version deleted (Release 4.11)

No, I think this was a refresh problem of the details view

#3 - 11/02/2017 12:42 PM - Andreas Miuller

- Status changed from Worksforme to Resolved

Patrick, can you finally review this as you created the ticket?

#4 - 11/02/2017 02:34 PM - Patrick Plitzner
- Status changed from Resolved to Feedback

- Target version set to Release 4.11

This is still the same for me. The taxon and synonym swap in the editor but in the details view and in the title of the name editor it still shows the old
name. Even after reconnect.

#5 - 11/02/2017 02:45 PM - Katja Luther

really strange for me it works, but the last time | did it, an nearly empty message dialog pops up
no log message but in eclipse: WARN [eu.etaxonomy.taxeditor.editor.name.e4.handler.SwapSynonymAndAcceptedHandlerE4$1] -

but reopening shows the correct result

#6 - 11/02/2017 02:46 PM - Katja Luther
- Assignee changed from Katja Luther to Patrick Plitzner

#7 - 11/02/2017 03:40 PM - Patrick Plitzner
- File picture818-1.png added

- Assignee changed from Patrick Plitzner to Katja Luther

The strange message should be fixed now. But still the problem is the same. | attached another screenshot. Syn is selected which is now the
accepted taxon after swapping but in the details view you see that the taxon is still Acc. Only the name is Syn.

#8 - 11/02/2017 05:10 PM - Katja Luther
- File picture471-1.png added

- Assignee changed from Katja Luther to Patrick Plitzner

very strange... | tested again with the actual nightly build and it works for me, in the screenshot syn was the synonym and is now the accepted taxon

#9 - 11/06/2017 05:02 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

@AM: Could you test this on your machine and see if you can reproduce that behavior?

#10 - 11/07/2017 11:02 AM - Andreas Muller

- Assignee changed from Andreas Miiller to Patrick Plitzner

| can't reproduce the problem. The only refresh problem | see is that the navigator is not refreshed and still shows the old accepted taxon instead of
the new one. Should we create a new ticket for this?

But it is true that only the name is changed. The Taxon and Synonym objects are kept. This you can see by comparing IDs in supplemental data. Also
the sec reference is not changed and stays with the according TaxonBase. Usually this is not an issue as most Synonyms have the same sec as the
accepted taxon, but there are exceptions. Maybe we should show a dialog asking if the sec references should be kept or also switched for cases
where the sec references are not equal. Also keeping the id might be not wanted in some cases. But these are all different issues.

Patrick did you test with nightly or from IDE? Did you also test with Windows?

#11 - 11/07/2017 01:25 PM - Patrick Plitzner

| only tested from IDE and on linux

#12 - 11/07/2017 01:51 PM - Andreas Miiller

Patrick Plitzner wrote:

| only tested from IDE and on linux

Could you test with nightly, and if still there with Windows?

#13 - 11/07/2017 02:00 PM - Patrick Plitzner

With the current nightly it worked. The details view show the correct name.

#14 - 11/07/2017 02:12 PM - Andreas Miiller

- Status changed from Feedback to Worksforme

OK, so | close the ticket as works for me?

#15 - 11/07/2017 02:54 PM - Andreas Miiller
- Copied to bug #7067: Improve swap accepted with synonym configurable added

#16 - 11/07/2017 02:54 PM - Patrick Plitzner
ok

#17 - 11/07/2017 02:55 PM - Andreas Miiller

moved new issues from #note-10 to new ticket #7067
https://dev.e-taxonomy.eu/redmine/issues/7067
